local GetMineCavePlunderLogMessage = BaseClass("GetMineCavePlunderLogMessage", SFSBaseMessage)
local base = SFSBaseMessage
local Localization = CS.GameEntry.Localization
local OnCreate = function(self)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  else
    DataCenter.MineCaveManager:UpdatePlunderList(t)
  end
end
GetMineCavePlunderLogMessage.OnCreate = OnCreate
GetMineCavePlunderLogMessage.HandleMessage = HandleMessage
return GetMineCavePlunderLogMessage
